summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-11-09 06:36:01 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-11-09 06:36:01 +0000
commitfdf811fd7e3435933a91b3fcd4ed6e594a875970 (patch)
tree73bae147ecf1cb706479ab889787852e29a80aa2 /dev-python
parent5faf7e5a7d87e19411ec89effbc2a0c8990538d7 (diff)
downloadbaldeagleos-repo-fdf811fd7e3435933a91b3fcd4ed6e594a875970.tar.gz
baldeagleos-repo-fdf811fd7e3435933a91b3fcd4ed6e594a875970.tar.xz
baldeagleos-repo-fdf811fd7e3435933a91b3fcd4ed6e594a875970.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.28.82.ebuild67
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.31.82.ebuild68
-rw-r--r--dev-python/django-otp/Manifest1
-rw-r--r--dev-python/django-otp/django-otp-1.3.0.ebuild43
-rw-r--r--dev-python/mako/Manifest1
-rw-r--r--dev-python/mako/mako-1.3.0.ebuild49
-rw-r--r--dev-python/omemo-dr/Manifest1
-rw-r--r--dev-python/omemo-dr/omemo-dr-1.0.1.ebuild28
-rw-r--r--dev-python/sqlglot/Manifest1
-rw-r--r--dev-python/sqlglot/sqlglot-19.1.1.ebuild36
-rw-r--r--dev-python/types-setuptools/Manifest1
-rw-r--r--dev-python/types-setuptools/types-setuptools-68.2.0.1.ebuild17
-rw-r--r--dev-python/werkzeug/Manifest1
-rw-r--r--dev-python/werkzeug/werkzeug-2.3.8.ebuild64
-rw-r--r--dev-python/zeroconf/Manifest1
-rw-r--r--dev-python/zeroconf/zeroconf-0.122.0.ebuild56
18 files changed, 437 insertions, 0 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 2b23f761d6a5..1979e1bad25f 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -4,3 +4,4 @@ DIST boto3-1.28.77.gh.tar.gz 723612 BLAKE2B e2a2d3919f2f0ad09c0385b5f93bf4167c00
DIST boto3-1.28.78.gh.tar.gz 724185 BLAKE2B 5089a7d1eab11c23bd65699c41c3c6687f0666f10ebcc7fc4813f96225ceee5a10a008ae6969cd7927f43f09e0988178ea40386bcd91c473ac5fba1dedeeeef1 SHA512 e74f7348d369580e8d26f7c1f084276ec339d4bdd3ee628bdbe56cc6e4b1c0b22a759bb4ffe1075f0cb0d6f1692864db85a73d3cb884358dc97d6428f3fd9b0a
DIST boto3-1.28.79.gh.tar.gz 724864 BLAKE2B b6327a3dfd0095078668c85fb539885cdbc848a73b67afeaf97f58cb7362b1f928c49cb3cb233873b59ac925b9e97bc0571129f478177802f1249ddaa597297a SHA512 55eaf9e8122ef2f3424caa86f838fe03028a666aad281b6c52e0c8629c9d64707e1659c6d2e21666fe805f60cdde2ef0aece744737952cd55a20165c1d8186af
DIST boto3-1.28.80.gh.tar.gz 725109 BLAKE2B ba34c01f64817f437a2cf85f3de3672c01edbe2a4aa5f7dec3bcc0e0c78c6c3f1932e630e936d8f515e3293635f5935490905ed7847667d082a77645915344fd SHA512 83bc9f9c9880b7fc847fc95d202c2ffbfde32e06deeed787f86e76b0ccae9c44585f95ec193afb80d16d257f508334fdd048b8eefef9ebff5505de521e8c7288
+DIST boto3-1.28.82.gh.tar.gz 726369 BLAKE2B 757445a7af86182d6bd3143bbf576e24a1a4608929bafb641ed678d444364d2948d07ebc0ef434a53a0349a8a286dc818d757ee3c59545f8550ff39dcd745147 SHA512 ccfd72a6988565c884232a64ee33e01cf54a03e8f0f77990cc5bf633e60b92cad7562d1603726488e723813671e8931b1386ef06069074fea0611728aea06f96
diff --git a/dev-python/boto3/boto3-1.28.82.ebuild b/dev-python/boto3/boto3-1.28.82.ebuild
new file mode 100644
index 000000000000..09d8c6679458
--- /dev/null
+++ b/dev-python/boto3/boto3-1.28.82.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.7.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 52e5314497c7..2df9e36ea7c2 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -4,3 +4,4 @@ DIST botocore-1.31.77.gh.tar.gz 12031161 BLAKE2B 24e4daa5b0ae49dc2fd8851b459f3a5
DIST botocore-1.31.78.gh.tar.gz 12035206 BLAKE2B 0dd1109d34a8cf99af76f1f615095776e75c0042717a573da3714d1e20efce5cf67bf38d5421c3c5558112821adb4307f7ca0791efc8e62c9ea2e9ba8c2ddc7a SHA512 68c0f68b699ff0c0276cc70f4d4843259a953511c9c2813a3101d7dc43c36a0a3bda68df66a7ab2c206977a96ce0d933830b4004898f03febf478c710beb5261
DIST botocore-1.31.79.gh.tar.gz 12039146 BLAKE2B 9c4c8609e75e1d95130fc4919bba318732a09a884cd6256f86557bef13f8dbdf46d7ec57584c7132b53a17ad50feb3240ad4e6c3306bf9ae974e693f14e7d65c SHA512 84669e6c3c0fa9991ece0d65dd03e9d68d9c03cadef4477c96d1d45a3bce03534fa489a996725078be294b42dafc54c78ec527cbe7e3e015317642c0f80e9e47
DIST botocore-1.31.80.gh.tar.gz 12043936 BLAKE2B 447c88e82f9e73fd683045c0e05e1f2d601446dddb2731b3e461b8ddb991ca045cd0489b0d0174d3b2b3301d984eb8af7ddd93a6e1bfcd9fc0fe68adfe4cc4ec SHA512 7bea745675fc09fe2a858fbda0df93dbf2d1c1d933afbef1625788b11c2b032e794b52d9da6e864ac350b6b1fc92c77f3d7c3749168ba1836ad21bb57de3cabb
+DIST botocore-1.31.82.gh.tar.gz 12051646 BLAKE2B e474bab929f7b16b37f71e261230014585c10cf30d36f2b241e6aae4845356e373db811de9158e1e074568e02d481bb83bf7f5aaaeece4bd196d49443574b3f1 SHA512 ecfa4dc060ee961def1cec0ab55739673fa04fda0a3154ea609526928eb16811a7cbc8d3d15b33aaa8c1a1606943f07935d9df06619517117e9392cbac6eeaf8
diff --git a/dev-python/botocore/botocore-1.31.82.ebuild b/dev-python/botocore/botocore-1.31.82.ebuild
new file mode 100644
index 000000000000..9a0240c45f2a
--- /dev/null
+++ b/dev-python/botocore/botocore-1.31.82.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x EPYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/django-otp/Manifest b/dev-python/django-otp/Manifest
index c8123c690f60..c8548f6350be 100644
--- a/dev-python/django-otp/Manifest
+++ b/dev-python/django-otp/Manifest
@@ -1,3 +1,4 @@
DIST django_otp-1.2.2.tar.gz 66391 BLAKE2B f66472ec2e3842ebc634edd8f689d1de51738381fd86c4af0859dee2f1bcf407b1c952c795203f9c742a95633ee14ce9253dcc1ffd7988c960e26b23a1ec5dfe SHA512 e8608f0a3b0aeaa82e509f034f69131eb1015124ecf84b734a5be58f62c309eee506b12fffe2aeb4b707e70c612413d1458bc64533102508c55255035432eb1f
DIST django_otp-1.2.3.tar.gz 66417 BLAKE2B 30fa8efe11b061fc6332de18f4e86181c180123c7c46ae4f9102e59a587ec39f9922db7e8c7f1c3b7a19817a336969b4aa82e2dca64447736ec244ec0098f505 SHA512 fd881cc7b44350bcfa95d243dab08465b0251b5d45fde0766532b281fce676d0afbfb35b671c1a787579374049d43e44091af77bfbb7ac6da29713dcc3cfc98f
DIST django_otp-1.2.4.tar.gz 66836 BLAKE2B 83b30002b84d967c601f4cc13ea68c6b53284dd84f7ce38bbbc7d56caae75f9c584a87958617c6c0b0064616fb6f7f8f1071191a63001a0584ef62993f93cd29 SHA512 46a7f3d3b010fef7b88f3096c2f3861010361a78d78a9414be43b9f10339d7e2a641d4ab8c29b489f21708edb9bc7aefb8cfbca1ce6b93b524fc5f3a8d70befb
+DIST django_otp-1.3.0.tar.gz 69013 BLAKE2B 4b6143bb8863e6c151df954a3c4ac4ecca770b1f396dd291e8634e8ad5e0755514111dac02307120e74abacf04bc681503a973bba067817c80bcffc8c462c592 SHA512 ef63c5db096ce7d1b10d6b2a99ab6db46b779d4221f509452921fcbf338decbd5c799aec7476587a03b34288ef3f5ff1964dee72105b65f04a22cbd53d445fa4
diff --git a/dev-python/django-otp/django-otp-1.3.0.ebuild b/dev-python/django-otp/django-otp-1.3.0.ebuild
new file mode 100644
index 000000000000..3c597778d36a
--- /dev/null
+++ b/dev-python/django-otp/django-otp-1.3.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Django framework adding two-factor authentication using one-time passwords"
+HOMEPAGE="
+ https://github.com/django-otp/django-otp/
+ https://pypi.org/project/django-otp/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/django-3.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/qrcode[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.9 3.10)
+ ${RDEPEND}
+ )
+"
+
+python_test() {
+ local -x PYTHONPATH=test:${PYTHONPATH}
+ local -x DJANGO_SETTINGS_MODULE=test_project.settings
+ "${EPYTHON}" -m django test -v 2 django_otp ||
+ die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/mako/Manifest b/dev-python/mako/Manifest
index 4de950626d2e..59e88047214c 100644
--- a/dev-python/mako/Manifest
+++ b/dev-python/mako/Manifest
@@ -1 +1,2 @@
DIST Mako-1.2.4.tar.gz 497021 BLAKE2B 61b0d7c681e41128fdeff83414de30ffd2282ec6480af61924e35094f674732562297b977f12a0e5cc842ae0ed3f67c7955bb223a0e4f061c773cd4507208d02 SHA512 9a90d245f2c8b5e5efa283d91f762a2fffa40b7f71e7a4b66de7f66f894ad5ba2fa5c04080200b6633bb61d4308db5b5e763b26ae7d93d18efe4aebb2178006a
+DIST Mako-1.3.0.tar.gz 386252 BLAKE2B 7364a4eeb8d71d7bdeabc6c6df863c4cec5094ae2f858c8c23d4287bbeded62325c3f4fe122c19950043dc32480f2b46c72771fab2f89a339202cfbe387f61f6 SHA512 1be454ceff8942ee50052b3b2dec392f236aad2111828a6962ca80bc0d9692f632b7d992b161fb206c10db19e94f96a0688633d03c7b54e01b4f843283b80cb4
diff --git a/dev-python/mako/mako-1.3.0.ebuild b/dev-python/mako/mako-1.3.0.ebuild
new file mode 100644
index 000000000000..f426ca092431
--- /dev/null
+++ b/dev-python/mako/mako-1.3.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN=${PN^}
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python templating language"
+HOMEPAGE="
+ https://www.makotemplates.org/
+ https://github.com/sqlalchemy/mako/
+ https://pypi.org/project/Mako/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+IUSE="doc"
+
+RDEPEND="
+ >=dev-python/markupsafe-0.9.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/Babel[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=()
+ [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+ test/test_exceptions.py::ExceptionsTest::test_alternating_file_names
+ )
+ epytest
+}
+
+python_install_all() {
+ rm -r doc/build || die
+
+ use doc && local HTML_DOCS=( doc/. )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/omemo-dr/Manifest b/dev-python/omemo-dr/Manifest
index 7e70ae370f27..0b5259fcea54 100644
--- a/dev-python/omemo-dr/Manifest
+++ b/dev-python/omemo-dr/Manifest
@@ -1 +1,2 @@
DIST omemo-dr-1.0.0.tar.gz 152784 BLAKE2B c239d22cda3aab247ad2d5c706f2f15d22529ff9348564e55aa0c780a1c93b169f1cd4c2f8d6ac0fcf69f3d5d8c190627870363d168432e3a2247b7091bc4d64 SHA512 ad1d43936f94d47a01b1f4f3a8e31bf81d16132714b29f6ef5aac84a907a8bec3fd1014330cdc0169cfa02e64f7815d11ff4ec8a2aa3aecd9141748d2ec469b1
+DIST omemo-dr-1.0.1.tar.gz 152526 BLAKE2B 218e51996a71f506739489c54a3ddeea023a778dea57ee34bb1f50a03b27d740d6871f89ecddcad5fdb0208bbb876a8e815be78f51e3f675347323085c20963e SHA512 38306e88de1e384eb42848029d8eee7d5aed0bcc3b9ed2867c75fd5bac09daba31c136d10cb815153f21ea6ab6ccae4cfa2d3453db0863e2dc4b065fce8f24e3
diff --git a/dev-python/omemo-dr/omemo-dr-1.0.1.ebuild b/dev-python/omemo-dr/omemo-dr-1.0.1.ebuild
new file mode 100644
index 000000000000..b4deb12160b1
--- /dev/null
+++ b/dev-python/omemo-dr/omemo-dr-1.0.1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="OMEMO Crypto Library"
+HOMEPAGE="
+ https://pypi.org/project/omemo-dr/
+ https://dev.gajim.org/gajim/omemo-dr
+"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~loong ~riscv ~x86"
+
+RDEPEND="
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/protobuf-python[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/sqlglot/Manifest b/dev-python/sqlglot/Manifest
index 6b7c82242bf8..5d3cea7c3af0 100644
--- a/dev-python/sqlglot/Manifest
+++ b/dev-python/sqlglot/Manifest
@@ -1,3 +1,4 @@
DIST sqlglot-19.0.0.tar.gz 8955220 BLAKE2B 9f53b726efb379b72f93f55796ae110be2f0596c4e4156e4c67ba899b0138fd6abb28b0a800c6d79c58bba565cb551ad42c94c8fba26ffcea854ad94a35971f0 SHA512 ac679f5c2d911a46ca6c4183ae3542e7a436185f37af494c8a35b657e5fe552cfea2e7d6c142721bb2247f91d5ceda8f602cc54a80b19a3ed72a95d9a9ed4e82
DIST sqlglot-19.0.2.tar.gz 8980868 BLAKE2B 07e6d0af365a45cdac27e7b976979bbd26b36931438928ca169fbfe18598a01b067a736cc0f2f97684c93e574d45f61d0c3f357c2c1321c6e344b7227817acce SHA512 3639e2e1c020c26893ae750bbf20669cf722e2e93e8438934db732c8e79791c61fa3363bf887455b04dee50ebe76fd8d689279fed22260a807a8b3b1f035c9c0
DIST sqlglot-19.0.3.tar.gz 8998735 BLAKE2B ca9b3470f0a3a6c2997c1533b61cdb4ad96895e92fdf3ce924d3cd20af1dc3689ae08897fa3a340051742dff056fc927fa4d5037d23a681b87feb923d2a3731a SHA512 183a90c45a495a204cf00363a50a8fb39d9f37cf05f6b310611cbd5e85f47913d70c3476c6091e1e4b88d23aa1f3196b81bd45e29ad0e5a9ad4ad98b8dbd9fd8
+DIST sqlglot-19.1.1.tar.gz 9031814 BLAKE2B 75430d912007d6edf3f045a21f68f35a3dd029d57d43c76fbdb7b10cd4e5e27778a7e86ca2100e8dfee63908ed78943180b45cea919b1f1b0d7d59a491ccbd21 SHA512 d2652f21e77eb31651f7cfddf2f3b0b1db18174e0409cc7bc7b4cae7c18c8bdc89a007b5a122de35573096b28580a2a47401e4dcf2bbf1b92b10f4d09f424f2b
diff --git a/dev-python/sqlglot/sqlglot-19.1.1.ebuild b/dev-python/sqlglot/sqlglot-19.1.1.ebuild
new file mode 100644
index 000000000000..ac53f7b0ad7d
--- /dev/null
+++ b/dev-python/sqlglot/sqlglot-19.1.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi optfeature
+
+DESCRIPTION="An easily customizable SQL parser and transpiler"
+HOMEPAGE="
+ https://sqlglot.com/
+ https://github.com/tobymao/sqlglot/
+ https://pypi.org/project/sqlglot/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+EPYTEST_IGNORE=(
+ # Tests require pyspark or duckdb which aren't in the tree.
+ # Pandas would be a requirement normally, but it gets ignored by proxy.
+ "tests/dataframe/integration/test_dataframe.py"
+ "tests/dataframe/integration/test_grouped_data.py"
+ "tests/dataframe/integration/test_session.py"
+ "tests/test_executor.py"
+ "tests/test_optimizer.py"
+)
+
+distutils_enable_tests pytest
+
+pkg_postinst() {
+ optfeature "simplifying timedelta expressions" dev-python/python-dateutil
+}
diff --git a/dev-python/types-setuptools/Manifest b/dev-python/types-setuptools/Manifest
index b8ac47323f28..07159f25824f 100644
--- a/dev-python/types-setuptools/Manifest
+++ b/dev-python/types-setuptools/Manifest
@@ -1,2 +1,3 @@
DIST types-setuptools-68.1.0.1.tar.gz 32819 BLAKE2B 6e069253985c175721fd8b769fb497c89949ea40bbd68d22f951162f02b5dc929a6128dc9abe91c773f8a0f4966955ed77a556e1e9831a6455bc53729f7d1c13 SHA512 e68ee9ec3663a5916cdb2444496bc687a0e4ec897f355a33a716d4b5eff46addf0032dfe2d168695de4204002bc8b1087ca1cc4c32f4edd118d3b266c60c4f5c
DIST types-setuptools-68.2.0.0.tar.gz 32945 BLAKE2B 3d2c4667930917fc8c6dda89eb1948a9095db8734e5b03f2b3e994cc80af5c30a0504223445f8e7dba0aeb7ac312a8c6334b2eb10765f2c520c656e827257b95 SHA512 8095c0bca011de3450669aeede7040b8b2b706266257734df9adabf1cf41bce19df2d2fec2a9069841a220c2d06f5ecd78937224b1495b92b6f5c2698ecbfd97
+DIST types-setuptools-68.2.0.1.tar.gz 33293 BLAKE2B f492a35c4282f95a1fe01854edfa10a8ceec1307d29042197ba079354488aa2cc8a8770f876b02ddcb6d568e9e94f9f995d4f1a444da313354d6c4ad2974f860 SHA512 1a1efa6bb5759c82bbcb514816ece34ec133c1b4540ddb80e2155b02dfa05175fb3aacc836e72d9f0416b9f523c3efa3e3282569b5dcfa597cfab75f1ff5a490
diff --git a/dev-python/types-setuptools/types-setuptools-68.2.0.1.ebuild b/dev-python/types-setuptools/types-setuptools-68.2.0.1.ebuild
new file mode 100644
index 000000000000..e30e9f37dac0
--- /dev/null
+++ b/dev-python/types-setuptools/types-setuptools-68.2.0.1.ebuild
@@ -0,0 +1,17 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Typing stubs for setuptools"
+HOMEPAGE="https://pypi.org/project/types-setuptools/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
diff --git a/dev-python/werkzeug/Manifest b/dev-python/werkzeug/Manifest
index 70495ee6c728..8011018d8351 100644
--- a/dev-python/werkzeug/Manifest
+++ b/dev-python/werkzeug/Manifest
@@ -1,2 +1,3 @@
DIST werkzeug-2.3.7.gh.tar.gz 834304 BLAKE2B 331ffe1f7f079defbd639f391522facfd98cad704da0ed92235f111f401c40b3d06c40b2e0f5c0d0ac8d798335171870a6ce221d02810a8cf3d25f480ee7f7f8 SHA512 76daba77523f486a56f945f54b9f317589d72e36458d7dce975ae597835de8936242edd6ceafa8913d00021557a9da2acfe9619be562fe7b482858daf84dfd2f
+DIST werkzeug-2.3.8.gh.tar.gz 834470 BLAKE2B fb1badc73699cd0a4027b706db7c29d44bd9cfdd306bec4c97dc1348b398f3268acb9be59530b5fb9e45d31a759e6dd1ae0348f62d4df9e6e74d8e72af9feb86 SHA512 56cf12071ca7aa99897ea3c23af699a32db6da00ce0963228c965e3f84060ea83c7365054e2ad53d7930d7472eaca6821e610815871a24a4257eaa18f19a5423
DIST werkzeug-3.0.1.gh.tar.gz 817317 BLAKE2B 670460cf48c8d06196cd34f117758508512d310b740bd188d8ba87779abd62f514c9909e5700b34c37e382925eabe3ffd722b753b76b498aff0dc8ebe1025c8b SHA512 125a5c7680cba726149198802efa90d06c6586daeafcd0960feda637b765356f602df83af7b14996994303c52d32bc6fa044b774f42f0b8991008d1396675033
diff --git a/dev-python/werkzeug/werkzeug-2.3.8.ebuild b/dev-python/werkzeug/werkzeug-2.3.8.ebuild
new file mode 100644
index 000000000000..7d964a40d4b4
--- /dev/null
+++ b/dev-python/werkzeug/werkzeug-2.3.8.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Collection of various utilities for WSGI applications"
+HOMEPAGE="
+ https://palletsprojects.com/p/werkzeug/
+ https://pypi.org/project/Werkzeug/
+ https://github.com/pallets/werkzeug/
+"
+SRC_URI="
+ https://github.com/pallets/werkzeug/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="test-rust"
+
+RDEPEND="
+ >=dev-python/markupsafe-2.1.1[${PYTHON_USEDEP}]
+"
+# NOTE: remove the loong mask after greenlet gains support for loong
+# see https://github.com/python-greenlet/greenlet/pull/257
+BDEPEND="
+ test? (
+ dev-python/ephemeral-port-reserve[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/pytest-xprocess[${PYTHON_USEDEP}]
+ >=dev-python/watchdog-2.3[${PYTHON_USEDEP}]
+ test-rust? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ )
+ !hppa? ( !ia64? ( !loong? (
+ $(python_gen_cond_dep '
+ dev-python/greenlet[${PYTHON_USEDEP}]
+ ' python3_{10..11})
+ ) ) )
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=()
+ if ! has_version "dev-python/cryptography[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ "tests/test_serving.py::test_server[https]"
+ tests/test_serving.py::test_ssl_dev_cert
+ tests/test_serving.py::test_ssl_object
+ )
+ fi
+
+ # the default portage tempdir is too long for AF_UNIX sockets
+ local -x TMPDIR=/tmp
+ epytest -p no:django -p no:httpbin tests
+}
diff --git a/dev-python/zeroconf/Manifest b/dev-python/zeroconf/Manifest
index 5a4a4a3248ee..74a9f9d97f6d 100644
--- a/dev-python/zeroconf/Manifest
+++ b/dev-python/zeroconf/Manifest
@@ -1,3 +1,4 @@
DIST zeroconf-0.119.0.tar.gz 156999 BLAKE2B d8b8f65d6365dad2e58a04f5bf7ec46a9cce45d27a4edcd1d1d1e0d3b38ae0e0b5d84e92b5255c59059367627c918446af6638365c6ea235a989f9af34172db4 SHA512 dcc5824e8f53e0108e5b2072f77897c5eefa7919f8a760feb9635dd970835c3445f06ecd9f556a8fae09e6e6538533810a99e6b4fda2bc9072072c093df87722
DIST zeroconf-0.120.0.tar.gz 157789 BLAKE2B 87971aa98c9c9401277059baee0f6a615c3e73f3146eda19e3a139f4dc8af678627ed0a14636157bb7c48739e8526cd31e6d94fa8438ad8d783949cc3fd64284 SHA512 b010415c733a55f4dca828f18eea96ba95e00e3124d0fdea129d155922ece90cdeb98386eb54a6616770130fe8aaee45ed0ecf3210c553442bd6b91537ad4313
DIST zeroconf-0.121.0.tar.gz 158293 BLAKE2B fc0f2a2a2ac5df656d96048f350eb5d51e5ee6c347d73a1d3baa23a85f222e034d3800b6b9b15775b5da7c6e1c40bf2c42df70e9454716ef5bdc04c2b8791d39 SHA512 1ab2816f8d492f1b11a7ebc7d024ddf81db84397bad897e3fff539552a50b7fdcacf2d1df865dd212bf39245bd4ec5a5371971b4fc57b75f46879563e5fc5c0f
+DIST zeroconf-0.122.0.tar.gz 158314 BLAKE2B 0c580b0f447c1fa38635a4687a6b1bfd1146b61841ce013c77d659871234e51afa9a8ac5abd08b3d35527ce2a2a2bdc8ed4a4f3273d32f74bda344f0b2411ab5 SHA512 18fc8e2d89feb219b37f791ffdaf92e2a1d9f6d1d9ec0fe7122bbec0491d7b1b403d89fee7b12e6c24ee8dfa0da887243eb52f6921dc81dcced541f617a58894
diff --git a/dev-python/zeroconf/zeroconf-0.122.0.ebuild b/dev-python/zeroconf/zeroconf-0.122.0.ebuild
new file mode 100644
index 000000000000..287607fcea05
--- /dev/null
+++ b/dev-python/zeroconf/zeroconf-0.122.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Pure Python Multicast DNS Service Discovery Library (Bonjour/Avahi compatible)"
+HOMEPAGE="
+ https://github.com/python-zeroconf/python-zeroconf/
+ https://pypi.org/project/zeroconf/
+"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/ifaddr-0.1.7[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/async-timeout-3.0.0[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+# the build system uses custom build script that uses distutils to build
+# C extensions, sigh
+BDEPEND="
+ >=dev-python/cython-3[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-65.6.3[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export REQUIRE_CYTHON=1
+
+python_test() {
+ local -x SKIP_IPV6=1
+ local EPYTEST_DESELECT=(
+ # network
+ tests/test_core.py::Framework::test_close_multiple_times
+ tests/test_core.py::Framework::test_launch_and_close
+ tests/test_core.py::Framework::test_launch_and_close_context_manager
+
+ # fragile to timeouts (?)
+ tests/services/test_browser.py::test_service_browser_expire_callbacks
+ tests/utils/test_asyncio.py::test_run_coro_with_timeout
+ )
+
+ epytest -o addopts=
+}